Get P46 Car
curl --request GET \
--url https://api.example.com/gb/organizations/{organization_id}/exb/p46cars/{car_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/gb/organizations/{organization_id}/exb/p46cars/{car_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/gb/organizations/{organization_id}/exb/p46cars/{car_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"SubmissionReason": {
"ReplacedCar": {
"MultipleCars": {
"MakeAndModel": "<string>",
"EngineSize": {
"__value__": 4999
}
}
},
"CarWithdrawn": {
"Withdrawn": "yes",
"DateWithdrawn": "2023-12-25",
"MakeAndModel": "<string>",
"EngineSize": {
"__value__": 4999
}
}
},
"employee_id": "<string>",
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"CarDetails": {
"MakeAndModel": "<string>",
"EngineSize": {
"__value__": 4999
},
"DateFirstRegistered": "2023-12-25"
},
"CO2Emissions": {
"Emissions": 499,
"ZeroEmissionMileage": 4999,
"Before1998": "yes",
"NoApproved": "yes"
},
"MonetaryDetails": {
"CarPrice": "<string>",
"DateFirstAvailable": "2023-12-25",
"CapitalContributions": "<string>",
"AccessoriesPrice": "<string>",
"CashForgone": "<string>",
"PrivateUsePayment": {
"__value__": "<string>"
}
},
"Fuel": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}P46 (Car)
Get P46 Car
Get a single P46 Car record by id.
GET
/
gb
/
organizations
/
{organization_id}
/
exb
/
p46cars
/
{car_id}
Get P46 Car
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
Successful Response
Full P46 Car record (stored content as typed fields + id + created_at + status).
Reason for P46Car submission.
Show child attributes
Show child attributes
Summarized status for a P46 Car, derived from the latest submission's FSM state.
Available options:
waiting_for_submission, submission_in_progress, submission_failed, successfully_submitted, archived Car details for P46Car form.
Show child attributes
Show child attributes
CO2 emissions — choice of (Emissions + ZeroEmissionMileage), Before1998, or NoApproved.
Show child attributes
Show child attributes
Monetary details for P46Car form.
Show child attributes
Show child attributes
Fuel benefit details for P46Car.
Show child attributes
Show child attributes
Was this page helpful?
⌘I